Summary: The GNU Scientific Library for numerical analysis.
Name: gsl
Version: 0.8
Release: 1
Group: System Environment/Libraries
Copyright: GPL
Url: http://sources.redhat.com/gsl/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://sources.redhat.com/pub/gsl/gsl-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
The gsl package includes the GNU Scientific Library (GSL).  The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

Install the gsl package if you need a library for high-level scientific
numerical analysis.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make MAKE="make -j2"
make -C doc gsl-ref.ps; gzip -9f doc/gsl-ref.ps


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%post
/sbin/ldconfig
/sbin/install-info /usr/info/gsl-ref.info.gz /usr/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/gsl-ref.info.gz /usr/info/dir
fi

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL KNOWN-PROBLEMS MACHINES NEWS README 
%doc THANKS TODO doc/gsl-ref.ps.gz
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/man/man*/*
/usr/share/aclocal/gsl.m4


%clean
rm -rf $RPM_BUILD_ROOT

